package com.engine.organization.entity.personnelcard;

import com.api.system.language.service.LanguageService;
import com.engine.organization.entity.extend.po.ExtendInfoPO;
import com.engine.organization.util.field.FieldDefinedValueUtil;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author:dxfeng
 * @createTime: 2022/10/08
 * @version: 1.0
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@Builder
public class User {
    private Integer id;
    private String image;
    private String name;
    private String sex;
    private String email;
    private String phone;
    private String belongTo;
    private String status;

    public String getSex() {
        if ("0".equals(sex)) {
            return "男";
        }
        return "女";
    }

    public String getImage() {
        weaver.hrm.User user = new weaver.hrm.User();
        user.setLanguage(LanguageService.getDefaultLang());
        return FieldDefinedValueUtil.getFieldValue(user, ExtendInfoPO.builder().controlType(6).browserType("1").build(), image);
    }
}
